<%@ include file="includes/jspheader.jsp" %>
<%@ include file="includes/jspencoding.jsp" %>

<%@ include file="includes/logincheck.jsp" %>

<%@ page import="com.esko.webcenter.jsp.*" %>
<%@ page import="com.esko.webcenter.src.root.*"%>
<%@ page import="com.esko.webcenter.cache.*" %>
<%@ page import="com.esko.webcenter.src.root.view.*"%>
<%@ page import="com.esko.webcenter.src.xml.*" %>
<%@ page import="com.esko.webcenter.src.util.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.esko.webcenter.exceptions.*" %>

<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.esko.webcenter.src.root.ProfileDefaultTM" %>

<%
	// clean up the tempfiles from the last request
	TempFileMgr.getTempFileMgr(session).deleteAllTempFiles();
 %>
 
<%
  DocDetailsPageHelper docDetailsPageHelper = new DocDetailsPageHelper(session, application, request, response, out, "docdetailsidebysidepreview", "Document Detail Side by Side - Preview");
  
  docDetailsPageHelper.setMakeCurDocTypeDefPage(false); // never make default landing page
  String sourcePage = request.getParameter("sourcePage");
  
  if (!docDetailsPageHelper.initialize())
    return;

	//Get Attribute category and attribute category not assigned for this document then show the appropriate message
	DocVersionView docVersionView = docDetailsPageHelper.getDocVersionView();
	DocVersion docVersion = docVersionView.getDocVersion();
	
	boolean showNoCategoryMessage = !StringUtils.checkForValue(docVersion.getAttributeCategoryID());
	
	boolean docIsLocked = docVersionView.getDoc().isDocLocked();
	boolean docIsLockedByCurrentUser = docVersionView.getDoc().isDocLockedByUser(
			LoginMgr.getLoginMgr(session).getLoginUserID());
			
  // generate the xml
  if (!docDetailsPageHelper.startXml())
    return;
  
  
  JSPDocXMLWriter xmlWriter = docDetailsPageHelper.getJSPDocXMLWriter();
  
	//used for the Return action on the component edit page
	if (StringUtils.checkForValue(sourcePage)) {
		if (sourcePage.startsWith("/"))
			sourcePage = sourcePage.substring(1);
	}
	else 
		sourcePage = "mytodolist.jsp";
	xmlWriter.writeXmlString("<returnurl>" + XMLUtils.encodeXml(sourcePage) + "</returnurl>");
	
	String loginID = LoginMgr.getLoginMgr(session).getLoginID();
	ProfileDefaultTM profileDefaultBean = DBTMUtils.findBean(response, session, ProfileDefaultTM.class);
	
	String trimText = profileDefaultBean.load(loginID, "WC_CHILI_SYNC_TRIM_TEXT");
	
	if(!StringUtils.checkForValue(trimText)){
		trimText = "0";
	}
	xmlWriter.writeXmlString("<CHILI_SYNC_TRIM_TEXT>"+trimText+"</CHILI_SYNC_TRIM_TEXT>");
	
	if (showNoCategoryMessage)
	{
		xmlWriter.writeXmlString("<no_attr_category_msg/>"+Xml.NEWLINEPARAM);
	}
	
	if (docIsLocked && !docIsLockedByCurrentUser) {
		xmlWriter.writeXmlString("<locked_by_other_user>1</locked_by_other_user>");
	}
	
	// Finish up the xml and transform the page
	docDetailsPageHelper.endXml();
  
	xmlWriter.transformPage("docdetailsidebysidepreview", out);
  
 %>
