<%@ include file="includes/jspheader.jsp" %>
<%@ include file="includes/jspencoding.jsp" %>

<%@ include file="includes/logincheck.jsp" %>

<%@ page import="com.esko.webcenter.jsp.*" %>
<%@ page import="com.esko.webcenter.src.root.*"%>
<%@ page import="com.esko.webcenter.cache.*" %>
<%@ page import="com.esko.webcenter.src.root.view.*"%>
<%@ page import="com.esko.webcenter.src.xml.*" %>
<%@ page import="com.esko.webcenter.src.util.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.esko.webcenter.exceptions.*" %>

<%
	// clean up the tempfiles from the last request
	TempFileMgr.getTempFileMgr(session).deleteAllTempFiles();
 %>
 
<%
  DocDetailsPageHelper docDetailsPageHelper = new DocDetailsPageHelper(session, application, request, response, out, "docdetailspreview", "Document Details - Preview");

	if (!docDetailsPageHelper.initialize())
   	 return;
  
	//Get Attribute category and attribute category not assigned for this document then show the appropriate message
 	DocVersionView docVersionView = docDetailsPageHelper.getDocVersionView();
	DocVersion docVersion = docVersionView.getDocVersion();
	
	boolean showNoCategoryMessage = !StringUtils.checkForValue(docVersion.getAttributeCategoryID());

 	 // generate the xml
 	if (!docDetailsPageHelper.startXml())
   	 return;
  
  
 	JSPDocXMLWriter xmlWriter = docDetailsPageHelper.getJSPDocXMLWriter();
  
  	if (showNoCategoryMessage)
	{
		xmlWriter.writeXmlString("<no_attr_category_msg/>"+Xml.NEWLINEPARAM);
	}
  
	String loginID = LoginMgr.getLoginMgr(session).getLoginID();
	ProfileDefaultTM profileDefaultBean = DBTMUtils.findBean(response, session, ProfileDefaultTM.class);
	String trimText = profileDefaultBean.load(loginID, "WC_CHILI_SYNC_TRIM_TEXT");
	if(!StringUtils.checkForValue(trimText)){
		trimText = "0";
	}
	xmlWriter.writeXmlString("<CHILI_SYNC_TRIM_TEXT>"+trimText+"</CHILI_SYNC_TRIM_TEXT>");
	
	// Finish up the xml and transform the page
	docDetailsPageHelper.endXml();
  
  xmlWriter.transformPage("docdetailspreview", out);
  
 %>
